PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"}
}'
{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"},
"status": "Ready",
"host": "https://prod-1-data.ke.pinecone.io",
"created_at": "2025-10-01T12:30:00Z",
"updated_at": "2025-10-01T12:45:00Z"
}
Assistants
Update an assistant
Update an existing assistant. You can modify the assistant’s instructions.
For guidance and examples, see Manage assistants.
PATCH
/
assistants
/
{assistant_name}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"}
}'
{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"},
"status": "Ready",
"host": "https://prod-1-data.ke.pinecone.io",
"created_at": "2025-10-01T12:30:00Z",
"updated_at": "2025-10-01T12:45:00Z"
}
Documentation Index
Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt
Use this file to discover all available pages before exploring further.
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X PATCH "https://api.pinecone.io/assistant/assistants/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Pinecone-Api-Version: 2025-10" \
-d '{
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"}
}'
{
"name": "example-assistant",
"instructions": "Use American English for spelling and grammar.",
"metadata": {"team": "customer-support", "version": "1.1"},
"status": "Ready",
"host": "https://prod-1-data.ke.pinecone.io",
"created_at": "2025-10-01T12:30:00Z",
"updated_at": "2025-10-01T12:45:00Z"
}
Authorizations
Pinecone API Key
Headers
Required date-based version header
Path Parameters
The name of the assistant to update.
Body
application/json
The desired configuration updates for the assistant.
The configuration updates for the assistant.
Was this page helpful?
⌘I